Skip to main content
GET
Get Traffic Summary

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

Query Parameters

bucket
enum<string>

Defaults to TB_TIME_BUCKET_HOUR when unset.

Available options:
TB_TIME_BUCKET_UNSPECIFIED,
TB_TIME_BUCKET_HOUR,
TB_TIME_BUCKET_DAY
since
string<int64>

Same defaulting/bounding contract as ListTrafficEventsRequest.since -- enforced by the handler, not this field's validation.

until
string<int64>

The until field.

Response

200 - application/json

Successful response

The TBControlPlaneServiceGetTrafficSummaryResponse message.

allowedEvents
string<uint64>

The allowedEvents field.

deniedEvents
string<uint64>

The deniedEvents field.

distinctAgentCount
string<uint64>

The distinctAgentCount field.

distinctToolCount
string<uint64>

The distinctToolCount field.

series
Tb Traffic Summary Bucket · object[] | null

The series field.

totalEvents
string<uint64>

The totalEvents field.

totalRequestBytes
string<uint64>

The totalRequestBytes field.

totalResponseBytes
string<uint64>

The totalResponseBytes field.

unspecifiedEvents
string<uint64>

The unspecifiedEvents field.